import os
from multiprocessing import Process

import respir_os.api as api
import respir_os.controls as controls
import respir_os.gui as gui


def main():
    os.environ["ENV"] = "development"
    procs = [
        Process(target=api.run),
        Process(target=controls.run),
        Process(target=gui.run),
    ]
    try:
        for p in procs:
            p.start()
    except KeyboardInterrupt:
        for p in procs:
            p.kill()


if __name__ == "__main__":
    main()
